| DocBook: The Definitive Guide Version 2.0.7 (Alpha)

# type

$Revision: 1.3 $

$Date: 2002/06/12 11:18:42 $

type — The classification of a value

## Synopsis

### Mixed Content Model

    type ::=
    (#PCDATA|replaceable|inlinegraphic|inlinemediaobject|indexterm|
     beginpage)*

### Attributes

Common attributes

## Description

In general usage, `Type` identifies one member of a class of values.

In documenting computer programs, it identifies specifically a “type,” as might be declared with `typedef` in the C programming language.

### Processing expectations

Formatted inline.

### Parents

These elements contain type: `action`, `application`, `attribution`, `bibliomisc`, `bridgehead`, `citation`, `citetitle`, `classsynopsisinfo`, `command`, `computeroutput`, `database`, `emphasis`, `entry`, `fieldsynopsis`, `filename`, `foreignphrase`, `funcdef`, `funcparams`, `funcsynopsisinfo`, `function`, `glosssee`, `glossseealso`, `glossterm`, `hardware`, `interfacename`, `keycap`, `lineannotation`, `link`, `literal`, `literallayout`, `lotentry`, `member`, `methodparam`, `methodsynopsis`, `msgaud`, `olink`, `option`, `optional`, `para`, `paramdef`, `parameter`, `phrase`, `primary`, `primaryie`, `productname`, `programlisting`, `property`, `quote`, `refdescriptor`, `refentrytitle`, `refname`, `refpurpose`, `remark`, `screen`, `screeninfo`, `secondary`, `secondaryie`, `see`, `seealso`, `seealsoie`, `seeie`, `seg`, `segtitle`, `simpara`, `subtitle`, `synopsis`, `systemitem`, `term`, `tertiary`, `tertiaryie`, `title`, `titleabbrev`, `tocback`, `tocentry`, `tocfront`, `trademark`, `ulink`, `userinput`.

### Children

The following elements occur in type: `beginpage`, `indexterm`, `inlinegraphic`, `inlinemediaobject`, `replaceable`.

## See Also

`classname`, `interface`, `property`, `structfield`, `structname`, `symbol`, `token`.

## Examples

    <!DOCTYPE para PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
              "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <para>
    The <function>geteuid</function> function returns a <type>uid_t</type> that
    contains the user's <emphasis>effective</emphasis> user id.
    </para>

The `geteuid` function returns a uid_t that contains the user's effective user id.

trademark |  | ulink

Copyright © 1999, 2000, 2001, 2002 O'Reilly & Associates, Inc. All rights reserved.